import { FreeButton } from "@/config/api.js";
export default {
  data() {
    return {
      isShowFree: false, //免费标签的隐现
      isHorzMobile: null, //手机号是否是弘则的
      globalBgAudioManager: uni.getBackgroundAudioManager(), //背景音频
      navBarStyle: {
        height: 60 + "px",
        paddingTop: 40 + "px",
        paddingBottom: "4px",
      },
    };
  },
  onShow() {
    this.isShowFreeButton();
  },
  onLoad(optios) {
    const page = this.$mp && this.$mp.page;
    uni.getSystemInfo({
      success: function (res) {
        if (page && page.route == "pages/pcWebViev/pcWebViev") return;
        if (res.windowWidth > 700) {
          uni.reLaunch({
            url: "/pages/pcWebViev/pcWebViev?path=" + page.route + "&query=" + JSON.stringify(optios),
          });
        }
      },
    });
    this.userIsShowShare();
  },
  methods: {
    //免费标签的隐现
    async isShowFreeButton() {
      const res = await FreeButton.userIsShowFreeButton();
      if (res.Ret === 200) {
        this.isShowFree = res.Data.IsShow;
      }
    },
    //判断手机号是否是弘则的
    async userIsShowShare() {
      const res = await FreeButton.userIsShowShare();
      if (res.Ret === 200) {
        this.isHorzMobile = res.Data.IsShow;
      }
    },
  },
};
